Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Add rake as a development dependency

  • Loading branch information...
commit a16056584015c70bc9a09bc18751f8efd58765a9 1 parent 9274c75
Erik Michaels-Ober sferik authored
Showing with 10 additions and 22 deletions.
  1. +3 −0  .rspec
  2. +6 −22 Rakefile
  3. +1 −0  mogli.gemspec
3  .rspec
View
@@ -0,0 +1,3 @@
+--color
+--format=nested
+--backtrace
28 Rakefile
View
@@ -1,25 +1,9 @@
-require 'rake'
-require 'rubygems'
-require 'spec'
+#!/usr/bin/env rake
-desc 'Default: run unit tests.'
-task :default => :spec
-
-# So it can we used for both versions of rspec
-if Spec::VERSION::MAJOR <= 1
- require 'spec/rake/spectask'
+require 'bundler'
+Bundler::GemHelper.install_tasks
- desc 'Test the plugin.'
- Spec::Rake::SpecTask.new(:spec) do |t|
- t.libs << 'lib'
- t.verbose = true
- end
-else
- require 'rspec/core/rake_task'
- desc 'Test the plugin.'
- RSpec::Core::RakeTask.new(:spec) do |t|
- t.libs << 'lib'
- t.verbose = true
- end
-end
+require 'rspec/core/rake_task'
+RSpec::Core::RakeTask.new(:spec)
+task :default => :spec
1  mogli.gemspec
View
@@ -11,5 +11,6 @@ spec = Gem::Specification.new do |s|
s.homepage = 'http://developers.facebook.com/docs/api'
s.add_dependency 'httparty', '>= 0.4.3'
s.add_dependency 'hashie', '~> 1.1.0'
+ s.add_development_dependency 'rake'
s.add_development_dependency 'rspec'
end
Please sign in to comment.
Something went wrong with that request. Please try again.